org.springframework.messaging.simp.stomp

## Interface ConnectionHandlingStompSession

All Superinterfaces:
  StompSession, TcpConnectionHandler<byte[]>

All Known Implementing Classes:
  DefaultStompSession

    public interface ConnectionHandlingStompSession
    extends StompSession, TcpConnectionHandler<byte[]>

A `StompSession` that implements `TcpConnectionHandler` in order to send and receive messages.

A ConnectionHandlingStompSession can be used with any TCP or WebSocket library that is adapted to the `TcpConnectionHandler` contract.

Since:
  4.2
Author:
  Rossen Stoyanchev

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.messaging.simp.stomp.StompSession

`StompSession.Receiptable, StompSession.Subscription`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.springframework.util.concurrent.ListenableFuture<StompSession>` `getSessionFuture()` Return a future that will complete when the session is ready for use.

### Methods inherited from interface org.springframework.messaging.simp.stomp.StompSession

`acknowledge, acknowledge, disconnect, disconnect, getSessionId, isConnected, send, send, setAutoReceipt, subscribe, subscribe`

### Methods inherited from interface org.springframework.messaging.tcp.TcpConnectionHandler

`afterConnected, afterConnectFailure, afterConnectionClosed, handleFailure, handleMessage`

### Method Detail

#### getSessionFuture

    org.springframework.util.concurrent.ListenableFuture<StompSession> getSessionFuture()

Return a future that will complete when the session is ready for use.